<?php
/*
 * Dummy wrapper around PECL's Yaml library to provide access in an OO-method.
 */

namespace Core;

use DeviceDetector\Yaml\Parser;

/**
 * Description of PiwikYamlParser
 *
 * @author charlie
 */
class PiwikYamlParser implements Parser {
	/**
	 * Parse a file and return the PHP-encoded result
	 * 
	 * @param type $file
	 * @return array|false
	 */
	public function parseFile($file) {
		return yaml_parse_file($file);
	}
}
