/**
 * @var self ServiceWorker
 * @var evt PushEvent
 */

//dev.log('PUSH Event Fired');

// Load the JSON response from the server as a convenience for any listing scripts.
var pushdata = evt.data ? evt.data.json() : null;


const sendNotification = pushdata => {
	var title = pushdata.title || 'Notification';

	return self.registration.showNotification(title, pushdata);
};


if(pushdata && pushdata.type === 'notification') {
	evt.waitUntil(sendNotification(pushdata));
}
