# Core Plus Credits & Acknowledgements

## Development & Professional Services

[eVAL Agency](https://eval.agency) - Columbus Ohio-local development and MSP shop

eVAL provides development work, hosting, and management of the base project.


[Wort Technologies](https://worttechnologies.tech/) - Our mission is simple, to give the best quality IT support to everyone at an affordable price.

Wort Technologies provides bug testing, feature request ideas, and other misc. QAT effort.



## Design Work & Assets


### Core Plus Logo

Original Core Plus logo courtesy of Nicholas Hinsch


### Fonts

[Google Fonts](https://fonts.google.com) - Free web fonts

### Icons

[Font Awesome](https://fontawesome.com/) / [Font Awesome Source](https://github.com/FortAwesome/Font-Awesome.git)


### SASS Tool Set

[Bourbon.io](https://www.bourbon.io/) - a lightweight Sass toolset


### Design Concepts

[W3.css Framework](https://www.w3schools.com/w3css/default.asp) - a modern CSS framework with support for desktop, tablet, and mobile design by default.



## Scripts & Libraries

[jQuery & jQueryUI](https://jquery.com/)

Smarty - (too many ads there to post link)

[TinyMCE](https://www.tiny.cloud/)

[PSR-HTTP-Message](https://github.com/php-fig/http-message.git)

[PSR-Log](https://github.com/php-fig/log.git)

[PSR-HTTP-Factory](https://github.com/php-fig/http-factory.git)

[PSR-HTTP-Client](https://github.com/php-fig/http-client.git)

[Beberlei-Assert](https://github.com/beberlei/assert.git)

[PHP-Base32](https://github.com/skleeschulte/php-base32.git)

[MySQLDump-PHP](https://github.com/ifsnop/mysqldump-php.git)

[PHP-Shell-Command](https://github.com/mikehaertl/php-shellcommand.git)

[HTML2Text](https://github.com/mtibben/html2text.git)

[Markdown](https://daringfireball.net/projects/markdown/) - Kudos to John Gruber for building and maintaining markdown!

[YAML](https://yaml.org/) - YAML Ain't Markup Language

[GnuPG](https://gnupg.org/) - GnuPG is a complete and free implementation of the OpenPGP standard as defined by RFC4880.

[Lorem Picsum](https://picsum.photos/) - The Lorem Ipsum for photos.



## Developer Resources

[Mozilla Developer Network](https://developer.mozilla.org/en-US/) - One-stop resource for anything javascript.

[PHP](https://php.net) - It's like C, but for the web, and with object support.

[CSS-Tricks](https://css-tricks.com) - I honestly wouldn't be able to figure out CSS3 flexboxes without this resource!


## Tools

[System76](https://system76.com) - Excellent laptops, workstations, and servers built for Linux, ease of productivity from the moment you open the box!

[IntelliJ](https://www.jetbrains.com/idea/) - *THE* Developer IDE.

[Debian](https://www.debian.org/) - Free OS that makes development work easy.

[Inkscape](https://inkscape.org/) - Whether you are an illustrator, designer, web designer or just someone who needs to create some vector imagery, Inkscape is for you!

[GitLab](https://about.gitlab.com/) - Source code hosting, available on private on-prem servers!

[Big Bottle Co](https://bigbottleco.com/) - When caffeine just isn't enough to get through the night.