<div class="{$class} {$id}">

	[[ {$title} ]]
	{if $title}
		<label for="{$name}" class="form-element-label">
			{$title|escape}
			{if $required}<span class="form-element-required-mark" title="Required Field"> *</span>{/if}
		</label>
    {/if}

    {if $error}
		<span class="form-element-error">{$error}</span>
    {/if}

    {if $description}
		<p class="form-element-description">{$description}</p>
    {/if}

	<div class="form-element-value">
		{if $element->get('link')}
			{* Buttons that have links must be rendered as A tags instead of buttons *}
			{a href"`$element->get('link')`" class="button"}
				{if $element->get('icon')}
					<i class="icon icon-{$element->get('icon')}"></i>
				{/if}
				<span>{$element->get('value')}</span>
			{/a}
		{else}
			<input type="button" {$input_arguments}/>
		{/if}
	</div>
</div>