{assign var='type' value='text'}
{include file="includes/forms/_standard_elements.tpl"}

{if Core\Core::IsLibraryAvailable('jquery')}
	{script library='jquery'}{/script}
	{script library="Core.Strings"}{/script}
	{script library="notify"}{/script}

	{script location="foot"}<script>
		(function(){
			var rewritename = "{$element->get('name')}",
				titlename = rewritename.replace('[rewriteurl]', '[title]'),
				parentname = rewritename.replace('[rewriteurl]', '[parenturl]'),
				$title = $('input[name="' + titlename + '"]'),
				$parent = $(':input[name="' + parentname + '"]'),
				$target = $('input[name="' + rewritename + '"]'),
				keepsync = false, geturl;


			geturl = function(){
				var text, opt;

				if($parent.length !== 0) {
					opt = $parent.find('option:selected').text();
					if(opt.match(/\( .* \)/)){
						text = opt.replace(/^.*\( (.*) \).*$/, '$1') + '/' + $title.val().toURL();
					}
					else{
						text = '/' + $title.val().toURL();
					}
				}
				else{
					text = '/' + $title.val().toURL();
				}

				return text;
			};


			// First of all, check to see if the url should be kept in sync at all.
			if($target.val() == '' || $target.val() == geturl()) keepsync = true;

			$title.blur(function() {
				if(keepsync) {
					$target.val(geturl());
				}
			});

			$parent.change(function() {
				if(keepsync) {
					$target.val(geturl());
				}
			});

			$target.blur(function() {
				var targetValue = $target.val();

				if(targetValue === '') {
					keepsync = true;
					$target.val(geturl());
				}
				else if(targetValue === geturl()) {
					keepsync = true;
				}
				else {
					keepsync = false;
				}
			});

			$target.keyup(function() {
				var targetValue = $target.val();
				// Perform some analysis on the value of rewrite URLs for user convenience.

				if(targetValue.match(/^[a-z0-9/_\/-]*$/) === null) {
					// Do a simple check on the URL if it contains invalid characters.
					$target.notify('Please ensure URLs only contain lowercase Latin letters, numbers, and dashes!', 'error');
					$target.closest('.formelement').addClass('error');
				}
				else if(targetValue.substr(0, 1) !== '/') {
					$target.notify('Please ensure URL starts with a "/"');
					$target.closest('.formelement').addClass('error');
				}
				else {
					$target.closest('.formelement').removeClass('error');
				}
			});

		})();
	</script>{/script}
{/if}
