
<main class="width-wrapper">
	<h1>
        {t 'STRING_RESYNC_AND_REDEPLOY'}
	</h1>

	<p class="message-tutorial">
		Core utilizes several technologies which occasionally require resynchronization.
		This is usually required after manual updates.
		<em>(The automated updater will perform these actions as necessary.)</em>
		<br/><br/>
		This is safe to perform anytime as it will not remove any data.
	</p>

	<h2>Actions Performed</h2>

	<ul>
		<li>Sync database structure</li>
		<li>Deploy asset files like images, stylesheets, and fonts</li>
		<li>Clear system cache</li>
	</ul>


	<br/>
	<form action="{link '/admin/reinstall'}" method="post" target="_blank">
		<input type="submit" value="Perform Reinstallation / Resync"/>
	</form>
</main>

