{**
 * Not all print clients support css3 variables, so this will compile them to a static set
 *}

<style>
	/* Render Core styles from user-selectable configuration */

/*
<config key="/core/style/print/color/primary" type="string"/>
<config key="/core/style/print/color/secondary" type="string"/>
<config key="/core/style/print/font/family/primary" type="string"/>
<config key="/core/style/print/font/size/primary" type="string"/>
<config key="/core/style/print/border/color/primary" type="string"/>
<config key="/core/style/print/border/radius/primary" type="string"/>
*/
	html {
		{\Core\CoreStyles::RenderStyle('font-size', 'print-font-size-primary')}
	}

	body {
		{\Core\CoreStyles::RenderStyle('color', 'print-color-primary')}
		{\Core\CoreStyles::RenderStyle('font-family', 'print-font-family-primary')}
		{\Core\CoreStyles::RenderStyle('font-size', 'print-font-size-primary')}
	}

	body .page-header {
		{\Core\CoreStyles::RenderStyle('background-color', 'header-background-color-primary')}
		{\Core\CoreStyles::RenderStyle('color', 'header-color-primary')}
		{\Core\CoreStyles::RenderStyle('font-family', 'header-font-family-primary')}
	}

	body .inner-wrapper {
		{\Core\CoreStyles::RenderStyle('color', 'print-color-primary')}
		{\Core\CoreStyles::RenderStyle('font-family', 'print-font-family-primary')}
		{\Core\CoreStyles::RenderStyle('font-size', 'print-font-size-primary')}
	}

	body .page-footer {
		{\Core\CoreStyles::RenderStyle('color', 'print-color-primary')}
		{\Core\CoreStyles::RenderStyle('font-family', 'print-font-family-primary')}
		{\Core\CoreStyles::RenderStyle('font-size', 'print-font-size-primary')}
	}

	body h1,
	body h2,
	body h3,
	body h4,
	body h5,
	body h6 {
		{\Core\CoreStyles::RenderStyle('color', 'print-color-secondary')}
		{\Core\CoreStyles::RenderStyle('font-family', 'print-font-family-primary')}
	}

	body a {
		{\Core\CoreStyles::RenderStyle('color', 'print-color-secondary')}
	}

	body a.button,
	body button,
	body input[type=button],
	body input[type=submit] {
		{\Core\CoreStyles::RenderStyle('color', 'print-color-secondary')}
		{\Core\CoreStyles::RenderStyle('border-color', 'print-border-color-primary')}
		{\Core\CoreStyles::RenderStyle('border-radius', 'print-border-radius-primary')}
	}

	body hr {
		{\Core\CoreStyles::RenderStyle('border-color', 'print-border-color-primary')}
	}
</style>