<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace MediaManager\Navigators;

use MediaManager\Navigator2;

/**
 * Description of PublicNavigator
 *
 * @author charlie
 */
class PublicNavigator extends Navigator2 {
	public function __construct() {
		$this->_type      = 'public';
		$this->_isAdmin   = \Core\user()->checkAccess('g:admin');
		$this->_canUpload = $this->_isAdmin;
		$this->_canUpdate = $this->_isAdmin;
		$this->_canAccess = $this->_isAdmin;
		$this->_basedir   = 'public/';
		$this->_ignores = [
			PUBLIC_PDIR . 'tmp/',
			PUBLIC_PDIR . 'media/'
		];
	}
	
	public function getTitle() : string {
		return 'Public Files';
	}
}
