/**
 * @var self ServiceWorker
 * @var evt FetchEvent
 */


//dev.log('FETCH Event Fired');

if(evt.request.method === 'GET') {


	// Try to cache GET requests that are site assets.
	if(evt.request.url.indexOf(CONFIG.ROOT_URL + 'files/assets/') === 0) {
		//dev.log('Fetching asset ' + evt.request.url);
		evt.respondWith(fetchFromCache(evt.request, 'assets'));
	}
	else if(evt.request.url.indexOf(CONFIG.ROOT_URL + 'files/public/') === 0) {
		//dev.log('Fetching public file ' + evt.request.url);
		evt.respondWith(fetchFromCache(evt.request, 'public'));
	}
	else {
		dev.info('Retrieving page normally: ' + evt.request.url);
	}
}
