"use strict";

/**
 *
 * @param {string} title
 * @param {string} url
 * @param {string} nextTitle
 */
function renderGettingStarted(title, url, nextTitle) {
	let cLink, cLabel, nLink, nLabel, fLink, fLabel;
	let link, el, label, html, icon;

	cLabel = title;
	cLink = url;

	if(nextTitle) {
		nLink = Core.ROOT_URL + 'gettingstarted/next';
		nLabel = nextTitle;
	}

	fLabel = 'Finish';
	fLink = Core.ROOT_URL + 'gettingstarted/finish';


	html = '<i class="icon icon-rocket"></i>';
	if(cLabel && cLink) {
		html += '<a href="' + cLink + '" class="button active" title="Current Step">' +
			'<span>' + cLabel + '</span>' +
			'</a>';
	}

	if(nLabel && nLink) {
		html += '<a href="' + nLink + '" class="button" title="Next Step">' +
			'<i class="icon icon-forward"></i> ' +
			'<span>' + nLabel + '</span>' +
			'</a>';
	}

	if(fLabel && fLink) {
		html += '<a href="' + fLink + '" class="button" title="Complete / Close Quick Start">' +
			'<i class="icon icon-check"></i> ' +
			'<span>' + fLabel + '</span>' +
			'</a>';
	}


	el = document.createElement('div');
	el.classList.add('gettingstarted-dialog');
	el.innerHTML = html;

	document.body.appendChild(el);
}