<main class="width-wrapper">

	<h1>
		Site Search
	</h1>

	<div data-block="Page Search" data-block-key="PAGE_SEARCH">
		<div class="width-wrapper">
            {link "/page/search" assign="search_link"}
			<form action="{$search_link}" method="GET" class="page-search-form">
				<div class="formelement formelementtext">
					<label class="form-element-value" title="Search Site">
						<input type="text" name="q" value="{$query|escape}" placeholder="Search Site"/>
						<i class="icon icon-search search-trigger"></i>
					</label>
				</div>
				<input type="submit" value="Search" class="submit-button"/>
			</form>
		</div>

        {script location="foot"}<script>
			document.querySelectorAll('.page-search-form .search-trigger').forEach(el => {
				el.addEventListener('click', evt => {
					evt.target.closest('form').submit();
					evt.preventDefault();
				});
			});
		</script>{/script}
	</div>

	{if !count($pages)}
		<p class="message-error">No results found.</p>
	{else}
		<ul class="listing-collection">
			{foreach $pages as $page}
				{$page->render('collection-item')}
			{/foreach}
		</ul>
	{/if}
</main>