<div data-block-panel="Single Column">
	<div data-block="Sitemap Heading" data-block-key="PAGE_SITEMAP_HEADING" data-block-image="heading_h1.png" data-block-pageonly="1">
		{insertable name="sitemap_h1" assign="sitemap_h1" title="Primary Page Heading (H1 Tag)" type="text"}{/insertable}
		<div class="width-wrapper">
			{if $sitemap_h1}
				<h1>{$sitemap_h1}</h1>
			{else}
				<h1>Sitemap</h1>
			{/if}
		</div>
	</div>


	<div data-block="Site Search" data-block-key="widget1" data-block-image="assets/images/previews/templates/widgets/pagesearch/page-search-execute.png">
        {insertable name="widget1_title" title="Title" description="Set the title to display above/before the search box, leave blank to omit any text." assign="widget1_title" group="Site Search"}{/insertable}
        {insertable name="widget1_placeholder" title="Placeholder Text" value="Search Site" description="Set the text to display inside the search box as placeholder text." assign="widget1_placeholder" group="Site Search"}{/insertable}
        {widget baseurl="/pagesearch/execute" title="`$widget1_title`" placeholder="`$widget1_placeholder`"}
	</div>

	<main data-block="Sitemap Result Listings" data-block-key="PAGE_SITEMAP_LISTINGS" data-block-pageonly="1">
		<div class="width-wrapper">
			<ul class="listing-collection">
				{foreach $pages as $page}
					{$page->render('collection-item')}
				{/foreach}
			</ul>
		</div>
	</main>
</div>

